Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] Kontact und CalDAv  (Read 3947 times)

Offline ArthurDent

  • User
  • Posts: 8
[DE] Kontact und CalDAv
« on: 2014/03/15, 08:14:37 »
Hallo zusammen,

mein Name ist Michael und ich bin neu hier - zumindest bei siduction. Hierher gekommen bin ich über den (vielleicht üblichen) Weg: zuerst Kanotix, dann sidux, dann aptosid und jetzt hier.

Bisher hat auch immer alles reibungslos funktioniert - und wenn nicht habe ich meine Probleme mit Linux durch lesen hier im Forum oder anderswo lösen können.

Aber jetzt habe ich etwas, dass ich ums verrecken nicht hinbekomme. Mein KOrganizer will einfach nicht mit dem CalDAV-Server (Baikal) auf meinem NAS sprechen. Aus lauter Verzweifelung habe ich Evolution installiert - da funktioniert das Ganze auf Anhieb.

Ich würde allerdings lieber den KORganizer nutzen (sieht irgenwie besser aus).

Hat irgendjemand da draußen das schon mal zum Laufen gebracht?

Michael





hefee

  • Guest
Re: Kontact und CalDAv
« Reply #1 on: 2014/03/15, 22:51:32 »
Moin,

joa bei mir löppt dat, wobei ich auch owncloud nutze, was ein bischen bei der einrichtung zusätzlich hillft, indem es einem direkt die richtigen urls reinmalt. Aber im Prinzip spricht das auch einfaches CALDAV/CardDAV. Ein Problem was mir bisher aufgefallen ist, wenn CardDAV und CalDav Resourcen den selben Namen haben, dann wird eins der zwei einfach nicht angezeigt.

Ich nutzt korganizer 4.12.5+really4.12.2-91r0

Offline ArthurDent

  • User
  • Posts: 8
Re: Kontact und CalDAv
« Reply #2 on: 2014/03/16, 18:24:19 »
Danke für die Info,

bei mir läufts leider nicht, aber ich gebe nicht auf.

Eigenartigerweise zeigt mein KOrganizer als Version 4.4.11 an.

apt-cache policy gibt dagegen aus

korganizer:
  Installiert:           4:4.12.5+really4.4.11.1+l10n-0r0
  Installationskandidat: 4:4.12.5+really4.4.11.1+l10n-0r0


Das verstehe ich nicht. Es scheint, mein KOrganizer ist eine alte Version.

Wie komme ich an eine aktuellere Version?

Für jede Hilfe dankbar.

Michael

EDIT:

Ich habe gerade nochmal nachgesehen. Die ganzen kdepim-Pakete sind in dieser scheinabr alten Version bei mir installiert.

Wie kann ich das ändern?
« Last Edit: 2014/03/16, 18:34:42 by ArthurDent »

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.842
Re: Kontact und CalDAv
« Reply #3 on: 2014/03/16, 18:33:34 »
Lies mal genau die Versionsnummer die apt dir als installiert zeigt...


greetz
devil

Offline ArthurDent

  • User
  • Posts: 8
Re: Kontact und CalDAv
« Reply #4 on: 2014/03/16, 18:37:12 »
Hallo devil:

hier die installierten Versionen:
Code: [Select]
ii  kdepim                                     4:4.12.5+really4.4.11.1+l10n-0r0    all          Personal Information Management apps from the official KDE release
ii  kdepim-groupware                           4:4.12.5+really4.4.11.1+l10n-0r0    amd64        KDE PIM Groupware plugins
ii  kdepim-kresources                          4:4.12.5+really4.4.11.1+l10n-0r0    amd64        KDE PIM resource plugins
ii  kdepim-runtime                             4:4.12.5+really4.4.11.1-0r0         amd64        runtime components for Akonadi KDE
ii  kdepim-strigi-plugins                      4:4.12.5+really4.4.11.1+l10n-0r0    amd64        PIM file format plugins for Strigi Desktop Search
ii  kdepim-wizards                             4:4.12.5+really4.4.11.1+l10n-0r0    amd64        KDE server configuration wizards
ii  kdepimlibs-kio-plugins                     4:4.12.3-90r0                       amd64        kio slaves used by KDE PIM applications
ii  libkdepim4                                 4:4.12.5+really4.4.11.1+l10n-0r0    amd64        KDE PIM library


Die Versions-Nummer vom KOrganizer sind dieselben, wie bei den kdepim-Paketen.

Michael

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.842
Re: Kontact und CalDAv
« Reply #5 on: 2014/03/16, 19:18:26 »
4:4.12.5+really4.4.11.1+l10n-0r0  bedeutet, dass aus Kompatibilitätsgründen die Version 4.12.xy heisst, in Wirklichkeit (really) aber 4.11.1.xy drin steckt. Du hast also die aktuellste Version dieses Pakets. (der Pim-Kram hinkt derzeit etwas hinterher)   



greetz
devil

Offline ArthurDent

  • User
  • Posts: 8
Re: Kontact und CalDAv
« Reply #6 on: 2014/03/16, 19:30:22 »
Gelesen habe ich die Versionsnummern und auch schon verstanden - meine ich zumindest.

Die (really) Version ist aber nicht 4.11.1 sonder 4.4.11 - und das ist schon ganz schön alt.

Jedenfalls funktioniert da dieser Ganze CalDAV-Kram nicht mit.

Meine Frage ist jetzt aber, wie ich aktuellere Versionen installieren kann bzw kann ich gefahrlos per

apt-get install Paket=Versionsnummer

gefahrlos die installierten Pakete überschreiben - oder geht das noch einfacher?

Michael


PS: Ich habe gerade bei apotsid nochmal vorbeigeschaut. Mit der Version 4.11.1 gehts.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.842
Re: Kontact und CalDAv
« Reply #7 on: 2014/03/16, 19:54:23 »
Du hast 4.11.1, glaubs mir.


greetz
devil

hefee

  • Guest
Re: Kontact und CalDAv
« Reply #8 on: 2014/03/16, 23:58:09 »
Naja wenn du wirklich schon auf 4.11.1 bist, dann sollte ein update auf 4.12.X problemlos sein mit dem kdepim-next repo funktionen. Du mussthalt das komplette kdepim updaten, was bedeiutet, wenn du eine version 4.4.11 hast, dass du den Umstieg von kdepim1 auf kdepim2 machst, was z.B. bei kmail Probleme machen kann...